# -*- coding: utf-8 -*-
#
# piripherals documentation build configuration file, created by
# sphinx-quickstart on Thu Oct  5 12:04:46 2017.
#
# This file is execfile()d with the current directory set to its
# containing dir.
#
# Note that not all possible configuration values are present in this
# autogenerated file.
#
# All configuration values have a default; values that are commented out
# serve to show the default.

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
from os.path import join, dirname
import sys
sys.path.insert(0, join(dirname(__file__), '..'))


def read(f): return open(join(dirname(__file__), f)).read()


metadata = {}
exec(read('../piripherals/__version__.py'), metadata)

# -- General configuration ------------------------------------------------

# If your documentation needs a minimal Sphinx version, state it here.
#
#needs_sphinx = '1.6'

#from recommonmark.transform import AutoStructify
# def setup(app):
#    app.add_config_value('recommonmark_config', {
#        'url_resolver': lambda url: github_doc_root + url,
#        'auto_toc_tree_section': 'Contents',
#    }, True)
#    app.add_transform(AutoStructify)
#from recommonmark.parser import CommonMarkParser
#source_parsers = {'.md': CommonMarkParser,}

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.todo',
    'sphinx.ext.viewcode',
    'sphinx.ext.napoleon',
    #'sphinx.ext.mathjax', # http://www.sphinx-doc.org/en/stable/ext/math.html#module-sphinx.ext.mathjax
]

autodoc_member_order = 'groupwise'

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
source_suffix = '.rst'
#source_suffix = ['.rst', '.md']

# The master toctree document.
master_doc = 'index'

# General information about the project.
project = metadata['__title__']
author = metadata['__author__']
copyright = metadata['__copyright__']

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = metadata['__version__']
# The full version, including alpha/beta/rc tags.
release = metadata['__version__']

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = 'en'

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This patterns also effect to html_static_path and html_extra_path
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'sphinx'

# If true, `todo` and `todoList` produce output, else they produce nothing.
todo_include_todos = True

# -- Options for HTML output ----------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = 'alabaster'
#html_theme = 'sphinx_rtd_theme'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
#
html_theme_options = {
    'logo': 'logo.png',
    'logo_name': 'true',
    'description': 'Peripherals for the RaspberryPi',
    #'github_banner': 'true',
    'github_user': 'quantenschaum',
    'github_repo': 'piripherals',
}

# https://github.com/bitprophet/alabaster/issues/97
html_sidebars = {
    '**': [
        'about.html',
        'navigation.html',
        'searchbox.html',
    ]
}

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

html_show_sourcelink = False
